/*
Union/Find Algorithm Visualization:  Part of the algoviz@vt collection of algorithm visualizations.
Copyright (C) 2004, 2007  Cris Kania, Cliff Shaffer

This file is part of the Union/Find Algorithm Visualization.

Union/Find Algorithm Visualization is free software: you can redistribute
it and/or modify it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the License,
or (at your option) any later version.

Union/Find Algorithm Visualization is distributed in the hope that it will
be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along with
Union/Find Algorithm Visualization.  If not, see
<http://www.gnu.org/licenses/>.
*/
import java.awt.*;
import javax.swing.border.*;
import javax.swing.*;

public class UFApplet extends JApplet {
	protected ParPtrTree tree;

	public UFApplet() {
		tree = new ParPtrTree(8);
		JPanel all = new JPanel();
		Border b1 = BorderFactory.createEtchedBorder(EtchedBorder.RAISED);
		Border b2 = BorderFactory.createEtchedBorder(EtchedBorder.LOWERED);
		Border compound = BorderFactory.createCompoundBorder(b1, b2);
		all.setBorder(compound);
		all.setLayout(new BoxLayout(all, BoxLayout.X_AXIS));
		UFVisual visual = new UFVisual(tree);
		UFControl control = new UFControl(tree, visual);
		visual.control = control;
		Dimension sz = new Dimension(200, control.getMaximumSize().height);
		control.setMaximumSize(sz);
		control.setPreferredSize(sz);
		tree.header();
		all.add(control);
		all.add(visual);
		getContentPane().setLayout(new BoxLayout(getContentPane(), BoxLayout.Y_AXIS));
		getContentPane().add(all);
	}

	public void init() {
		//tree = new ParPtrTree(12);
	}

	public void start() {
	}

	public void stop() {
	}

	public void destroy() {
	}
}
