/*
Union/Find Algorithm Visualization:  Part of the algoviz@vt collection of algorithm visualizations.
Copyright (C) 2004, 2007  Cris Kania, Cliff Shaffer

This file is part of the Union/Find Algorithm Visualization.

Union/Find Algorithm Visualization is free software: you can redistribute
it and/or modify it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the License,
or (at your option) any later version.

Union/Find Algorithm Visualization is distributed in the hope that it will
be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along with
Union/Find Algorithm Visualization.  If not, see
<http://www.gnu.org/licenses/>.
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class UFFrame extends JFrame {
	protected ParPtrTree tree;

	public UFFrame(ParPtrTree tt) {
		super("Union-Find");
		tree = tt;
		UFVisual visual = new UFVisual(tree);
		getContentPane().setLayout(new BoxLayout(getContentPane(), BoxLayout.X_AXIS));
		UFControl control = new UFControl(tree, visual);
		visual.control = control;
		Dimension sz = new Dimension(200, control.getMaximumSize().height);
		control.setMaximumSize(sz);
		control.setPreferredSize(sz);
		tree.header();
		getContentPane().add(control);
		getContentPane().add(visual);
	}

	public static void main(String[] args) {
		ParPtrTree tree = new ParPtrTree(8);
		UFFrame frame = new UFFrame(tree);
		frame.setSize(640, 480);
		frame.setLocation(100, 100);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);
	}
}
